## Instructions

Unified web interface to analyse runtime information stored in the v8 log.

For generating log file from d8:

Log Options:

--trace-maps:
  Log Maps
--trace_ic:
  Log ICs
--log-source-code:
  Log source code

Usage:

- `/path/do/d8 --trace-maps --trace_ic --log-source-code $FILE`

For generating a log file from Chrome:

- `/path/to/chrome --user-data-dir=/var/tmp/chr1 --no-sandbox --js-flags='--trace-ic --trace-maps --log-source-code’ $WEBSITE_URL`

### Keyboard Shortcuts for Navigation

`SHIFT` + `Arrow Up`
  Follow Map transition forward (first child)
`SHIFT` + `Arrow Down`
  Follow Map transition backwards
`Arrow Up`
  Go to previous Map chunk
`Arrow Down`
  Go to next Map in chunk
`Arrow Left`
  Go to previous chunk
`Arrow Right`
  Go to next chunk
`+`
  Timeline zoom in
`-`
  Timeline zoom out